/* 
 * xnotify -- pop up notes on multiple displays and receive responses
 *             Copyright (C) 1993, David Partain
 *       Department of Computer and Information Sciences
 *              University of Linkoping, Sweden
 *                  581 83 Linkoping, Sweden
 *                     davpa@ida.liu.se
 *
 * xnotify is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* 
 * xnotify.h:  Version @(#)xnotify.h	1.1 6/30/93
 */

/* some useful definitions */
#define VERSION 1
#define PATCHLEVEL 0

#define USAGE "\
[connections: >=1] [-yes] [-no] [-maybe]\n\t\
[-ack] [-respond] [-silent] [-noX] [-v] [-nobeep]"

#define NUM_CONNS 64		/* max number of possible connections */
#define NAMELEN 32		/* how long xnotify*Name can be */
#define STRLEN 128
#define MESS_LEN 4096		/* messages can be this long */

#define DISMISSCMD 0
#define FATALERROR 1

#define FAIL 0
#define SUCCESS 1

#define BW_AND_DD 6		/* borderWidth plus defaultDistance */

#define TRYQUIT 0
#define DOQUIT 1
#define DONTQUIT 2
#define WHACKED 3

/* possible responses: dependent on button pushes */
#define YES 0
#define NO 1
#define MAYBE 2
#define ACK 3
#define VIOLENT 4
#define RESPOND 5

#define MAX(a, b) ((a) > (b) ? (a) : (b))

#define WARN "\
Some connections aren't closed.\n\
Do you really want to quit?"
#define WARN2 "\
You just whacked the response window.\n\
Do you really want to quit?"

/* info about each connection */
typedef struct _conn_info {
  Display *display;	/* the display */
  Widget toplevel;	/* toplevel widget */
  char name[NAMELEN];	/* name associated with connection */
  int to_check;
} conn_info;
