.\" xnotify -- pop up notes on multiple displays and receive responses
.\"             Copyright (C) 1993, David Partain
.\"       Department of Computer and Information Sciences
.\"              University of Linkoping, Sweden
.\"                  581 83 Linkoping, Sweden
.\"                     davpa@ida.liu.se
.\" 
.\" xnotify is free software; you can redistribute it and/or modify it
.\" under the terms of the GNU General Public License as published by the
.\" Free Software Foundation, version 2 of the License.
.\" 
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\" 
.\" You should have received a copy of the GNU General Public License
.\" along with the programs; if not, write to the Free Software
.\" Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.\" author: David Partain
.\" version:  @(#)xnotify.man	1.2 7/1/93
.\"
.TH XNOTIFY n "7/1/93"

.SH "NAME"
xnotify \- pop up a message on one or multiple displays

.SH "SYNOPSIS"
.B xnotify
[displays: >= 1 ] [-yes] [-no] [-maybe] [-ack] [-silent] [-noX] [-version]
[-nobeep]

.SH "OPTIONS"

\fI-yes:\fR  puts a button on the windows which will send back a
yes answer to the sender.

\fI-no:\fR  puts a button on the windows which will send back a
no answer to the sender.

\fI-maybe:\fR  puts a button on the windows which will send back a
maybe answer to the sender.

\fI-ack:\fR  puts a button on the windows which will send back a
simple acknowledgment.

\fI-respond:\fR  puts a button on the windows which will allow the
recipients to type in and send back a message to the originator.

By default, if none of these are chosen, there will be an acknowledgment
button on the window.

\fI-silent:\fR  shuts the program up.  Doesn't print out the
stuff it normally does.

\fI-noX:\fR  will suppress the response window altogether.  Instead,
the information that would normally be in the response window will be
printed on stdout.  This enables you to be on a normal terminal but
still send messages to those with X terminals.  The beginnings of
"Creeping Featurism".

\fI-nobeep:\fR  by default, xnotify beeps at you when you get
some kind of acknowledgement and when the notification pops up on the
recipient's display.  This switch makes it shut up.

\fI-version:\fR  prints out the version and exits.

All commands except \fI-nobeep\fR and \fI-noX\fR may be shortened to
the first letter (e.g. \fI-y\fR for \fI-yes\fR).

.SH "DESCRIPTION"
xnotify is an X program which opens up connections to multiple
displays and pops up a window with user input as the text.  I suppose
you could think of it as putting a note on the screen of as many people
as you want.  This allows you to let several people know something
simultaneously.  Additionally, on your terminal, it pops up a window
with a list of all of the connections and whether they have been
acknowledged.  When someone acknowledges the message, his/her response
or simple acknowledgement is given in the response window.  When all
connections are acknowledged, you can dismiss this response window.

Information in the window popped up on multiple displays includes the
sender, the recipients, the time the message was sent, the message, and
the various buttons (see OPTIONS above).

This is similar to \fIxnote(1)\fR, except that it is on multiple
displays.

Upon startup, xnotify will ask for input from stdin, which will
be displayed.  The program exits when all of the windows have been
closed and you dismiss the response window.

.SH "SEE ALSO"
xmessage(1), xnote(1)

.SH "AUTHOR"
David Partain <davpa@ida.liu.se>, University of Linkoping, Sweden

.SH "COPYRIGHT"
Copyright (C) 1993, David Partain,
Department of Computer and Information Sciences,
University of Linkoping, Sweden,
581 83 Linkoping, Sweden.

xnotify is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, version 2 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with the programs; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
